Search a domain for emails
curl --request GET \
--url https://api.crevio.co/v1/leads/domain-search \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/leads/domain-search"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/leads/domain-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "lead_domain_search_result",
"domain": "<string>",
"organization": "<string>",
"total": 123,
"emails": [
{
"value": "<string>",
"type": "<string>",
"confidence": 123,
"first_name": "<string>",
"last_name": "<string>",
"position": "<string>",
"seniority": "<string>",
"department": "<string>",
"linkedin": "<string>",
"phone_number": "<string>",
"verification_status": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "api_error",
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "invalid_request_error",
"code": "rate_limit_exceeded",
"message": "Too many requests. Please retry later."
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}{
"error": {
"type": "api_error",
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}Leads
Search a domain for emails
Finds professional email addresses associated with a domain (or company name), each with a confidence score and the contact’s name, role and department where known. Backed by Hunter.io. Costs 2 credits per call.
GET
/
leads
/
domain-search
Search a domain for emails
Authorizations
API key in the format: Bearer {api_token}
Query Parameters
Domain to search (e.g. stripe.com). Required unless company is given.
Company name to search when the domain is unknown.
Max emails to return (1–100).
Required range:
1 <= x <= 100Filter by email type.
Available options:
personal, generic Filter by seniority.
Available options:
junior, senior, executive Filter by department (e.g. executive, sales, marketing).
Was this page helpful?

